package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.WxWeappBasicSet;

public interface WxWeappBasicSetService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
	PageInfo<WxWeappBasicSet> listAsPage(WxWeappBasicSet record, Integer pageIndex, Integer pageSize);
	
	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxWeappBasicSet getById(Long id);

    /**
     * 根据type and deploy获取
     * @param weappBasicSet
     * @return
     */
    WxWeappBasicSet getByTypeAndDeploy(WxWeappBasicSet weappBasicSet);
    
        /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(WxWeappBasicSet record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);
    
	
	

	
	
	
	
}
